Qt 5.6 | Qt 3D | C++ Classes | QBackendScenePropertyChange

Qt 5.6.3 Reference Documentation

# QBackendScenePropertyChange Class

(Qt3DCore::QBackendScenePropertyChange)

Header: | #include <QBackendScenePropertyChange>
qmake: | QT += 3dcore
Inherits: | QScenePropertyChange

- List of all members, including inherited members

## Public Functions

| QBackendScenePropertyChange(ChangeFlag type, const QNodeId &subjectId, Priority priority = Standard)
virtual | ~QBackendScenePropertyChange()
void | setTargetNode(const QNodeId &id)
QNodeId | targetNode() const

- 4 public functions inherited from Qt3DCore::QScenePropertyChange
- 5 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QBackendScenePropertyChange(QBackendScenePropertyChangePrivate &dd, ChangeFlag type, const QNodeId &subjectId, Priority priority = Standard)

## Related Non-Members

typedef | QBackendScenePropertyChangePtr

## Detailed Description

## Member Function Documentation

### QBackendScenePropertyChange::QBackendScenePropertyChange(ChangeFlag type, const QNodeId &subjectId, Priority priority = Standard)

Default constructs an instance of QBackendScenePropertyChange.

### `[protected]` QBackendScenePropertyChange::QBackendScenePropertyChange(QBackendScenePropertyChangePrivate &dd, ChangeFlag type, const QNodeId &subjectId, Priority priority = Standard)

Copy constructor.

### `[virtual]` QBackendScenePropertyChange::~QBackendScenePropertyChange()

Destroys the instance of QBackendScenePropertyChange. The destructor is virtual.

### void QBackendScenePropertyChange::setTargetNode(const QNodeId &id)

See also targetNode().

### QNodeId QBackendScenePropertyChange::targetNode() const

See also setTargetNode().

## Related Non-Members

### typedef Qt3DCore::QBackendScenePropertyChangePtr

A shared pointer for QBackendScenePropertyChange.